Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77581 - gtk2-2.1 breaks the bluecurve engine
Summary: gtk2-2.1 breaks the bluecurve engine
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: libgnomeui
Version: 1.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-09 18:15 UTC by Alexander Farley
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-09 20:58:39 UTC


Attachments (Terms of Use)

Description Alexander Farley 2002-11-09 18:15:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
gtk2-2.1.2-1 seems to be imcompatible with the current version of the bluecurve engine (redhat-artwork-0.47-3)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1..Attempt to open any program that uses gtk2-2.1.2
2.program crashes after initial gtk window opens.
3.
	

Actual Results:  All gtk2 applications crash after execution. Initially the error that appeared stated that the bluecurve engine module could not be found (/usr/lib/gtk-2.0/2.0.0/engines/*). I created a symlink from the ./2.0.0 folder to the ./2.0.102 folder in the hope that this would resolve the problem, but it did not. I also recompiled redhat-artwork, but it is set to go into ./2.0.0. However, after this I got the error: (gnome-terminal:18808): Glib-GObject-WARNING **: cannot create instance of abstract (non-instantiable) type 'GtkWidget'

Expected Results:  Applications using Gtk2 would open as usual.

Additional info:

All gtk-1 applications work as expected. Nautilus will open after an initial crash and appears to be using gtk2-2.1.2 as the appearance of the windows are slightly different than before.

Comment 1 Owen Taylor 2002-11-09 20:58:32 UTC
libgnomeui bug that GTK+-2.1.x reveals. Nothing to do with bluecurve.

Comment 2 Havoc Pennington 2002-11-09 23:06:08 UTC
Don't upgrade to rawhide right this second, it's in an inconsistent state.

This is a known issue fixed in newer libgnomeui which will appear shortly.


Note You need to log in before you can comment on or make changes to this bug.